package com.gyee.alarm.service.auto.impl;

import com.gyee.alarm.model.auto.ProEconActivePowerData;
import com.gyee.alarm.mapper.auto.ProEconActivePowerDataMapper;
import com.gyee.alarm.model.vo.FitClassVo;
import com.gyee.alarm.service.auto.IProEconActivePowerDataService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 动态功率数据 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-27
 */
@Service
public class ProEconActivePowerDataServiceImpl extends ServiceImpl<ProEconActivePowerDataMapper, ProEconActivePowerData> implements IProEconActivePowerDataService {

    @Resource
    private ProEconActivePowerDataMapper proEconActivePowerDataMapper;



    @Override
    public List<FitClassVo> getFitList(String windpowerstationId, Date beginDate, Date endDate) {
        return proEconActivePowerDataMapper.getFitList(windpowerstationId,beginDate, endDate);
    }
}
