package com.gyee.alarm.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.alarm.mapper.auto.ProEconCurveFittYearSubMapper;
import com.gyee.alarm.model.auto.ProEconCurveFittYearSub;
import com.gyee.alarm.service.auto.IProEconCurveFittYearSubService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 风电机年拟合曲线子表 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-11-07
 */
@Service
public class ProEconCurveFittYearSubServiceImpl extends ServiceImpl<ProEconCurveFittYearSubMapper, ProEconCurveFittYearSub> implements IProEconCurveFittYearSubService {

    @Resource
    private ProEconCurveFittYearSubMapper proEconCurveFittYearSubMapper;
    @Override
    public int deleteProEconCurveFittYearSubFByYear(String year) {
        return proEconCurveFittYearSubMapper.deleteProEconCurveFittYearSubFByYear(year);
    }
    @Override
    public int deleteProEconCurveFittYearSubGByYear(String year) {
        return proEconCurveFittYearSubMapper.deleteProEconCurveFittYearSubGByYear(year);
    }
}
