package com.gyee.alarm.service;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class EarlyReportParam implements Serializable {

    //部件编码  CLX,FDJ等
    private String windturbineParts;
    //分析名称（部件名称）
    private String analysisName;
    //时间间隔（天），即从当日0点，向前间隔天数，为计算区间
    private  int interval;
    //自定义报警规则id
    private List<String> customRuleId;
    //风机报警规则id
    private List<String> windturbineRuleId;
    //结果数量 限制（取前多少个）
    private int resultLimit;
    //风场id
    private String stationId;
    //风机型号
    private String model;
    //故障状态统一编码，如果为空则不进行计算，不为空则计算出故障时长和次数
    private String gzztCode;
}
