package com.gyee.alarm.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.alarm.mapper.auto.ProEconEarlyWarnScoreMapper;
import com.gyee.alarm.model.auto.ProEconEarlyWarnScore;
import com.gyee.alarm.service.auto.IProEconEarlyWarnScoreService;
import com.gyee.alarm.util.StringUtils;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 预警得分 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2023-09-05
 */
@Service
public class ProEconEarlyWarnScoreServiceImpl extends ServiceImpl<ProEconEarlyWarnScoreMapper, ProEconEarlyWarnScore> implements IProEconEarlyWarnScoreService {

    @Resource
    private ProEconEarlyWarnScoreMapper proEconEarlyWarnScoreMapper;

   public List<ProEconEarlyWarnScore> getListEarlyWarnScore(String windturbineid)
    {
        List<ProEconEarlyWarnScore> ls=new ArrayList<>();
        if(StringUtils.notEmp(windturbineid))
        {
            ls=proEconEarlyWarnScoreMapper.getListEarlyWarnScore(windturbineid);
        }
        return ls;
    }
}
